package com.yidianling.dynamic.thank;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;

import com.yidianling.dynamic.thank.data.ThxZan;
import com.yidianling.dynamic.thank.view.ZanReplyListItemView;
import com.ydl.ydlcommon.adapter.CommonAdapter;


/**
 * Created by softrice on 15/12/3.
 */
public class ThxZanListAdapter extends CommonAdapter<ThxZan> {

    Context context;

    public ThxZanListAdapter(Context context) {
        this.context = context;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        if (convertView == null) {
            convertView = new ZanReplyListItemView(context);
        }
        ((ZanReplyListItemView) convertView).setData(mDataList.get(position));
        return convertView;
    }
}
